%define py_ver_mod2 %(python3 -c "import sys; sys.stdout.write(sys.version[:3].replace('.','')+sys.abiflags)")
%define pyname     Shiboken

Name:		shiboken
Version:	1.2.2
Release:	3
License:	GPLv2
Summary:	Creates the PySide bindings source files

Group:		Development/KDE and Qt
URL:		http://www.pyside.org
Source0:	http://download.qt-project.org/official_releases/pyside/%{name}-%{version}.tar.bz2
Source100:	%{name}.rpmlintrc
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	python-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
Obsoletes:	generatorrunner < 0.6.17

%description
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files).

Since 1.1.1 it's merged with apiextractor and generatorrunner.

%files
%{_bindir}/%{name}
%{py_platsitedir}/%{name}.so
%{_mandir}/man1/%{name}.1.*

#------------------------------------------------------------------------------

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}

%define oldapiexlib %mklibname apiextractor 0
%define oldgenlib %mklibname genrunner 0

%package -n %{libname}
Summary:	Shiboken Generator core lib

Group:		System/Libraries
Obsoletes:	%{oldapiexlib} <= 0.10.11
Obsoletes:	%{oldgenlib} <= 0.6.17

%description -n %{libname}
Shiboken Generator core lib.

%files -n %{libname}
%{_libdir}/lib%{name}-python%{py_ver}.so.%{libmajor}*

#------------------------------------------------------------------------------

%define oldapiexdev %mklibname apiextractor -d

%package devel
Summary:	Devel stuff for Shiboken Generator

Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{oldapiexdev} < 0.10.11
Obsoletes:	generatorrunner-devel < 0.6.17

%description devel
Devel stuff for Shiboken Generator.

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}-python%{py_ver}.so
%{_libdir}/pkgconfig/%{name}.pc
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config.cpython-%{py_ver_mod2}.cmake
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%package -n python3-%{name}
Summary:        Creates the PySide bindings source files
Group:          Development/KDE and Qt
BuildRequires:  python3-devel

%description -n python3-%{name}
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files). This is the Python3 version.

%files -n python3-%{name}
%{_bindir}/%{name}-%{py3_ver}
%{py3_platsitedir}/%{name}.so
%{_mandir}/man1/%{name}-%{py3_ver}.1*

#------------------------------------------------------------------------------

%define py3libname %mklibname python3-%{name} %{libmajor}

%package -n %{py3libname}
Summary:        Shiboken Generator core lib
Group:          System/Libraries

%description -n %{py3libname}
Shiboken Generator core lib. This is the Python3 version.

%files -n %{py3libname}
%{_libdir}/lib%{name}.cpython-%{py_ver_mod2}.so.%{libmajor}*

#------------------------------------------------------------------------------

%package -n python3-%{name}-devel
Summary:        Devel stuff for Shiboken Generator
Group:          Development/KDE and Qt
Requires:       %{py3libname} = %{version}
Requires:       python3-%{name} = %{version}
Requires:       %{name}-devel = %{version}

%description -n python3-%{name}-devel
Devel stuff for Shiboken Generator. This is the Python3 version.

%files -n python3-%{name}-devel
%{_libdir}/lib%{name}.cpython-%{py_ver_mod2}.so
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config-python%{py_ver}.cmake
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config.cmake
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}ConfigVersion.cmake
%{_libdir}/cmake/%{pyname}-%{version}/

#------------------------------------------------------------------------------

%prep
%setup -q
cp -a . %{py3dir}

%build
%__sed 's/-Wno-strict-aliasing/-fno-strict-aliasing/' -i CMakeLists.txt

pushd %{py3dir}
%cmake -DUSE_PYTHON3=True
%make
popd


%cmake
%make

%install
pushd %{py3dir}
%makeinstall_std -C build
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-%{py3_ver}
mv %{buildroot}%{_mandir}/man1/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}-%{py3_ver}.1
popd

%makeinstall_std -C build


%changelog
* Mon Mar 02 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.2.2-3
+ Revision: a58f661
- Added python3-shiboke-devel subpackage


